Get Project Shell List

GET /ws/rest/service/v1/admin/projectshell

Purpose

Get Project and Shells.

Request Parameters

Input in JSON format in the body. All parameters must be URL encoded.

URL Parameters:

  • "options": (Optional) options attribute can be used to filter the list with the possible attributes.
  • "status": (Optional) "Active, Inactive, On-Hold, View-Only" are possible values.
  • "type": (Optional) "wbs_shell,generic_shell" are possible types.
  • "filter_condition": (Optional) projectname or projectnumber.

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

Successful responses are returned with a status code of 200.

Failed responses display a relevant message.

Sample Request

ws/rest/service/v1/admin/projectshell?options={"filter_condition": "projectname=project001", "status": "Active", "type" : "wbs_shell"}

Sample Success Response

{

"data":

[

{

"projectname":"All Projects",

"projectnumber":"AP",

"status":"Active",

"type":"wbs_shell"

},

{

"projectname":"Fred's Test Project 1",

"projectnumber":"P-0001",

"status":"Active",

"type":"wbs_shell"

},

{

"projectname":"Ray's Test Project 1",

"projectnumber":"P-0002",

"status":"Active",

"type":"wbs_shell"

}

],

"message": [ "Success" ],

"status":200

}